PEHASH(1)

NAME
pehash - calculate hashes of PE pieces

SYNOPSIS
pehash [OPTIONS]... pefile

DESCRIPTION
pehash uses libssl, libfuzzy and other black magic to calculate PE file hashes. It's part of pev, the PE file analysis toolkit.

pefile is a PE32/PE32+ executable or dynamic linked library file.

OPTIONS

-a, --all
    Hash file, sections and headers with md5, sha1, sha256, ssdeep and imphash.

-c, --content
    Hash only the file content (default).

-f, --format <text|csv|xml|html>
    Change output format (default is text).

-h, --header <dos|coff|optional>
    Hash only the header with the specified name.

-s, --section <section_name>
    Hash only the section with the specified name.

--section-index <section_index>
    Hash only the section at the specified index (1..n).

-V, --version
    Show version.

--help
    Show this help.

EXAMPLES
Check all supported checksums of putty.exe file:

    $ pehash -a putty.exe

REPORTING BUGS
Please, check the latest development code and report at https://github.com/merces/pev/issues

SEE ALSO
ofs2rva(1), pedis(1), peldd(1), pepack(1), peres(1), pescan(1), pesec(1), pestr(1), readpe(1), rva2ofs(1)

COPYRIGHT
Copyright (C) 2012 - 2020 pev authors. License GPLv2+: GNU GPL version 2 or later <https://www.gnu.org/licenses/gpl-2.0.txt>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.